package com.google.ar.core.examples.java.common.framework.gameMain;


import com.google.ar.core.examples.java.common.framework.physics.Force3D;
import com.google.ar.core.examples.java.common.framework.physics.PhysicsUtility;
import com.google.ar.core.examples.java.common.framework.physics.Solid3D;
import com.google.ar.core.examples.java.common.java3d.Vector3d;


public class ModeOnGround extends Mode {
	private Vector3d normal = PhysicsUtility.vertical;
	
	public Force3D getForce(Solid3D body) {
		return Force3D.ZERO;
	}

	public void setNormal(Vector3d normal) {
		this.normal = normal;
	}

	public Vector3d getNormal() {
		return normal;
	}	
}
